package com.chenyang.druid.sql.dialect.sqlserver.ast.stmt;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.SQLStatement;
import com.chenyang.druid.sql.dialect.sqlserver.ast.SQLServerStatement;
import com.chenyang.druid.sql.dialect.sqlserver.ast.SQLServerStatementImpl;
import com.chenyang.druid.sql.dialect.sqlserver.visitor.SQLServerASTVisitor;

public class SQLServerWaitForStatement extends SQLServerStatementImpl implements SQLServerStatement {
   private SQLExpr delay;
   private SQLExpr time;
   private SQLStatement statement;
   private SQLExpr timeout;

   public void accept0(SQLServerASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.delay);
         this.acceptChild(visitor, this.time);
         this.acceptChild(visitor, this.statement);
         this.acceptChild(visitor, this.timeout);
      }

      visitor.endVisit(this);
   }

   public SQLExpr getDelay() {
      return this.delay;
   }

   public void setDelay(SQLExpr delay) {
      this.delay = delay;
   }

   public SQLExpr getTime() {
      return this.time;
   }

   public void setTime(SQLExpr time) {
      this.time = time;
   }

   public SQLStatement getStatement() {
      return this.statement;
   }

   public void setStatement(SQLStatement statement) {
      this.statement = statement;
   }

   public SQLExpr getTimeout() {
      return this.timeout;
   }

   public void setTimeout(SQLExpr timeout) {
      this.timeout = timeout;
   }
}
